part of nueli.auth.firebase;

extension Glossary_Auth on Glossary {
  static void load({
    String fatalError,
    String needEmail,
    String invalidPassword,
    String invalidAccount,
    String incorrectPassword,
    String overRequest,
    String unknown,
    String weakPassword,
    String usedEmail,
    String verifyEmail,
    String badNetwork,
  }) {
    (glossary * #fatalError)['A fatal error occurred'] = fatalError;
    (glossary * #needEmail)['Please enter your email Address.'] = needEmail;
    (glossary * #invalidPassword)['Invalid password, valid password must contain at least 8 characters'] = invalidPassword;
    (glossary * #invalidAccount)['Invalid account, please Sign up instead.'] = invalidAccount;
    (glossary * #incorrectPassword)['Incorrect password, please enter the correct password.'] = invalidPassword;
    (glossary * #overRequest)['You can"t login due to several login attempts, Try few minutes later'] = overRequest;
    (glossary * #unknown)['An error occurred, Try again later'] = unknown;
    (glossary * #weakPassword)['The password provided is too weak,\n'
        'Use at least 8 characters with mixture of alphabet, numbers and special characters'] = weakPassword;
    (glossary * #usedEmail)['This email has already been registered'] = usedEmail;
    (glossary * #verifyEmail)['Please, verify your email.'] = verifyEmail;
    (glossary * #badNetwork)['No Internet connection available'] = badNetwork;
  }

  String get fatalError => (glossary * #fatalError)['A fatal error occurred'];
  String get needEmail => (glossary * #needEmail)['Please enter your email Address.'];
  String get invalidPassword => (glossary * #invalidPassword)['Invalid password, valid password must contain at least 8 characters'];
  String get invalidAccount => (glossary * #invalidAccount)['Invalid account, please Sign up instead.'];
  String get incorrectPassword => (glossary * #incorrectPassword)['Incorrect password, please enter the correct password.'];
  String get overRequest => (glossary * #overRequest)['You can"t login due to several login attempts, Try few minutes later'];
  String get unknown => (glossary * #unknown)['An error occurred, Try again later'];
  String get weakPassword => (glossary * #weakPassword)['The password provided is too weak,\n'
      'Use at least 8 characters with mixture of alphabet, numbers and special characters'];
  String get usedEmail => (glossary * #usedEmail)['This email has already been registered'];
  String get verifyEmail => (glossary * #verifyEmail)['Please, verify your email.'];
  String get badNetwork => (glossary * #badNetwork)['No Internet connection available'];
}

// private extensions
extension _Keys on Glossary {
  // doc pointer
  static const meta = 'accounts meta';

  // Firebase Keys
  static const name = 'NAME';
  static const id = 'ID';
  static const lastSignIn = 'LAST_SIGN_IN';
  static const creation = 'CREATION';
  static const passcode = 'POKEY';
  static const email = 'EMAIL';
  static const phoneNumber = 'PHONE';
  static const flags = 'PROBLEMS';
  static const avatarLink = 'AVATAR_LINK';

  static const accounts = 'ACCOUNTS';
  static const currentAccount = 'C_ACCOUNT';
}
